I suoi software sui nostri sistemi

Richiesta di supporto per migrazione su spazio sicuro e aggiornato

Si assicuri che i suoi applicativi, ospitati sui nostri sistemi, abbiano i requisiti consigliati per funzionare correttamente e senza spiacevoli sorprese.
Per qualsiasi informazione non esiti a contattarci.

Di seguito la lista dei requisiti dei principali software ospitabili sui nostri server

Per eseguire WordPress 5.x raccomandiamo che il suo host supporti: (https://wordpress.org/support/article/requirements/)

Versione di PHP 7.3 o superiore
Versione di MySQL 5.6+ OPPURE MariaDB 10.0+ o superiore
Apache (o nginx) con modulo mod_rewrite
Compatibilità con il protocollo HTTPS

Prestashop 1.7: (https://devdocs.prestashop.com/1.7/basics/installation/system-requirements)

Web server: Apache Web Server 2.2 o versione più recente.
PHP: Raccomandato PHP 7.1 o superiore. Vedere le specifiche compatibilità al seguente link per maggiori dettagli  devdocs.prestashop.com/1.7/basics/installation/system-requirements/
MySQL: 5.0 minimo, 5.6 o superiore.
Server RAM: Th. Si raccomanda di configurare l’allocazione di memoria per script (memory_limit) ad un minimo di 256M.

Configurazione

Nella configurazione PHP, chieda suo provider di impostare memory_limit su ""64M"" e upload_max_filesize su "16M"
Certificato SSL se ha in programma di elaborare internamente i pagamenti (non utilizzando PayPal, ad esempio)
Estensioni PHP : Mcrypt, OpenSSL, Zip, Curl, GD, PDO
Per migliorare le prestazioni: MemCached, Apc, OpCache

Extensions

CURL. L'estensione CURL viene utilizzata per scaricare risorse remote come moduli e pacchetti di localizzazione.

DOM. L'estensione DOM è necessaria per analizzare i documenti XML. PrestaShop lo utilizza per varie funzionalità, come lo Store Locator. Viene anche usato da alcuni moduli, oltre che dalla libreria pear_xml_parse.

Fileinfo. L'estensione Fileinfo viene utilizzata per scoprire il tipo di file dei file caricati.

GD. L'estensione GD viene utilizzata per creare miniature per le immagini caricate.

Intl. L'estensione per l'internazionalizzazione viene utilizzata per visualizzare dati localizzati, ad esempio importi in valute diverse.

Zip. L'estensione Zip viene utilizzata per espandere i file compressi come moduli e pacchetti di localizzazione.

Settings

allow_url_fopen abilitato. Questa direttiva consente a PrestaShop di accedere ai file remoti, che è una parte essenziale del processo di pagamento e non solo. È quindi indispensabile impostarlo su On.

 

Drupal: (https://www.drupal.org/docs/8/system-requirements)

PHP 7.0.8 or greater.

PHP versioni supportate

PHP version

Supported by Drupal

Recommended for Drupal

5.5

5.5.9+, only in Drupal 8.6.x and earlier (note 2 below)

 No

5.6

Only in Drupal 8.6.x and earlier (note 2 below)

 No

7.0

Yes, 7.0.8 from Drupal 8.7.0 (note 2 below)

 No

7.1

Yes

 No

7.2

Yes, as of Drupal 8.5.0

 Yes

7.3

Yes, as of Drupal 8.6.4 (note 1 below)

 Yes

 

Richiesto MySQL 5.5.3 / MariaDB 5.5.20 / Percona Server 5.5.8 o versioni successive con InnoDB come motore di archiviazione principale e richiede l'estensione del database PDO.

Joomla 3.x: (https://downloads.joomla.org/it/technical-requirements-it)
PHP 7.1 +
MySQL 5.5.3 +
Apache 2.4 +
o
Nginx 1.8 +